import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import Ubuntu.Components.Popups 0.1

import "databasemodule_v2.js" as DB
import "listview"

Tab {
    id: topicTab

    property int topicId: -1
    property bool isAll: false
    property variant feedArray: []
    property bool isListMode: pageStack.isListView

    page: isListMode ? listPage : gridPage

    function reload() {
        if (isListMode)
            listPage.reload()
        else gridPage.reload()
    }

    onIsListModeChanged: {
        if (topicId == -1) // Ignore first undefined state.
            return

        console.log("onIsListModeChanged, tag ID: ", topicId)
        reload()
    }

    ListModePage {
        id: listPage

        visible: isListMode
        topicId: topicTab.topicId

        tools: mainCommonToolbar
    }

    Page {
        id: gridPage

        /* TO RSS READER TEAM
         * Guys, this looks like a bug in SDK.
         * If I uncomment line below, app will become buggy
         * after start (header and toolbar undefined bahavior).
         * But let's go on - if after uncommenting line below
         * you will comment that line
         * tools: mainCommonToolbar
         * in definition of listPage, you can't see toolbar anymore.
         * If you didn't understand - experiment with commenting
         * line where Page's tools property changes.
         */
        // tools: mainCommonToolbar
        visible: !isListMode

        function reload () {
            var feedTags =  DB.loadFeedsFromTag(topicId)
            var feeds = []
            for (var i=0; i < feedTags.rows.length; i++) {
                feeds.push(feedTags.rows.item(i))
            }
            feedArray = feeds
            listColumnView.reload()
        }

        ListColumnView {
            id: listColumnView

            tag_id: topicTab.topicId
            isAll: topicTab.isAll
            feedArray: topicTab.feedArray
        }
    }
}
