import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import "../dateutils.js" as DateUtils

UbuntuShape
{
    id: articleFullImg
    width: units.gu(24)
    height: units.gu(19)
    radius: "medium"
    //    anchors.fill: parent
    property variant rss_item
    property variant imageArray: []
    property variant rss_model
    property int model_index

    image: Image {
        id: pic
        width: articleFullImg.width
//        anchors.top: articleFullImg.top
        fillMode: Image.PreserveAspectCrop
        source: imageArray[0]
    }

    Rectangle
    {
        id: rec_label_bg
        color: "black"
        anchors.top: content.top
        anchors.bottom: content.bottom
        width: parent.width
        opacity: 0.7
    }

    Column
    {
        id: content
        anchors.bottom: parent.bottom
        anchors.bottomMargin: units.gu(1)
        anchors.horizontalCenter: parent.horizontalCenter
        width: parent.width - units.gu(1)
        spacing: units.gu(1)

        Label
        {
            id: label_time
            text: DateUtils.formatRelativeTime(i18n, rss_item.pubdate)
            fontSize: "small"
        }

        Label
        {
            id: label_title
            text: rss_item.title
            width: parent.width
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            //            color: "white"
            fontSize: "medium"
            textFormat: Text.StyledText
            font.weight: Font.DemiBold
        }

        Label
        {
            id: label_feedname
            text: rss_item.feed_name
            fontSize: "small"
            width: parent.width
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
        }
    }

    MouseArea
    {
        anchors.fill: parent

        onClicked:
        {
            mainView.toRssPage(rss_model, model_index) ;
        }
    }
}

//Column {
//    width: units.gu(26)
//    height: units.gu(20)
//    //    anchors.fill: parent
//    property variant rss_item
//    property variant imageArray: []
//    property variant rss_model
//    property int model_index

//    //    Row
//    //    {
//    //        spacing: units.gu(1)
//    //        anchors.fill: parent
//    ////        layoutDirection: Qt.RightToLeft

//    UbuntuShape
//    {
//        id: u_pic
//        width: units.gu(24)
//        height: units.gu(17)
//        image: Image {
//            id: pic
//            width: units.gu(24)
//            fillMode: Image.PreserveAspectCrop
//            source: imageArray[0]
//        }

//        Rectangle
//        {
//            id: rec_label_bg
////            color: "black"
//            anchors.top: label_title.top
//            anchors.bottom: label_title.bottom
//            width: parent.width
//            opacity: 0.5
//        }

//        Label
//        {
//            id: label_title
//            text: rss_item.title
//            anchors.bottom: parent.bottom
//            anchors.bottomMargin: units.gu(1)
//            anchors.horizontalCenter: parent.horizontalCenter
//            width: parent.width - units.gu(1)
//            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
////            color: "white"
//            fontSize: "medium"
//            textFormat: Text.StyledText
//        }

//        MouseArea
//        {
//            anchors.fill: parent

//            onClicked:
//            {
//                mainView.toRssPage(rss_model, model_index) ;
//            }
//        }
//    }

//    Label
//    {
//        id: label_time
//        text: DateUtils.formatRelativeTime(i18n, rss_item.pubdate)
////        color: "black"
//        fontSize: "medium"
//    }

//    //    }
//}
