import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import "../dateutils.js" as DateUtils

UbuntuShape
{
    width: units.gu(18)
    height: content.height + units.gu(4)
    color: "#32222C"
    radius: "medium"

    property variant rss_item
    property variant imageArray: []
    property variant rss_model
    property int model_index

    Column
    {
        id: content
        anchors{ left: parent.left; right: parent.right; margins: units.gu(2); verticalCenter: parent.verticalCenter }
        spacing: units.gu(1)

        Label
        {
            id: label_time
            text: DateUtils.formatRelativeTime(i18n, rss_item.pubdate)
            fontSize: "small"
            width: parent.width
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            horizontalAlignment: Text.AlignRight
        }

        Label
        {
            id: label_title
            text: rss_item.title
            width: parent.width
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            fontSize: "medium"
            textFormat: Text.PlainText
            font.weight: Font.DemiBold
            horizontalAlignment: Text.AlignRight
        }

        Label
        {
            id: label_feedname
            text: rss_item.feed_name
            fontSize: "small"
            width: parent.width
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            horizontalAlignment: Text.AlignRight
        }
    }

    MouseArea
    {
        anchors.fill: parent

        onClicked:
        {
            mainView.toRssPage(rss_model, model_index) ;
        }
    }
}
//Column {
//    width: units.gu(30)
////    height: units.gu(15)
////    anchors.fill: parent
//    property variant rss_item
//    property variant imageArray: []
//    property variant rss_model
//    property int model_index

////    Row
////    {
//        spacing: units.gu(1)
////        anchors.fill: parent

//        Label
//        {
//            id: label_title
//            text: rss_item.title
////            anchors.horizontalCenter: parent.horizontalCenter
//            width: units.gu(30)
//            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
////            color: "black"
//            fontSize: "large"
//            textFormat: Text.PlainText
//            horizontalAlignment: Text.AlignRight

//            MouseArea
//            {
//                anchors.fill: parent

//                onClicked:
//                {
//                    mainView.toRssPage(rss_model, model_index) ;
//                }
//            }
//        }
////    }

//        Label
//        {
//            id: label_time
//            text: DateUtils.formatRelativeTime(i18n, rss_item.pubdate)
////            color: "black"
//            fontSize: "medium"
//            horizontalAlignment: Text.AlignRight
//            width: parent.width
//            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
//        }

//        Item
//        {
//            width: parent.width
//            height: units.gu(2)
//        }
//}
