import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import "../dateutils.js" as DateUtils

UbuntuShape
{
    width: units.gu(24)
    height: content.height + units.gu(1.5)
    radius: "medium"
    color: "#3D3028"

    property variant rss_item
    property variant imageArray: []
    property variant rss_model
    property int model_index

    Column
    {
        id: content
        anchors{ left: parent.left; right: parent.right }
        spacing: units.gu(1)

        Row
        {
//            anchors{ left: parent.left; right: parent.right }
            height: u_pic.height > u_pic1.height ? u_pic.height : u_pic1.height

            UbuntuShape
            {
                id: u_pic
                width: content.width / 2
                height: pic.height > units.gu(8) ? pic.height : units.gu(8)
                radius: "medium"
                image: Image {
                    id: pic
                    width: u_pic.width
                    fillMode: Image.PreserveAspectFit
                    source: imageArray[0]
                }
            }

            UbuntuShape
            {
                id: u_pic1
                width: content.width / 2
                height: pic1.height > units.gu(8) ? pic1.height : units.gu(8)
                radius: "medium"
                image: Image {
                    id: pic1
                    width: u_pic1.width
                    fillMode: Image.PreserveAspectFit
                    source: imageArray[1]
                }
            }
        }

        Column
        {
            anchors{ left: parent.left; right: parent.right; margins: units.gu(2) }
            spacing: units.gu(1)

            Label
            {
                id: label_time
                text: DateUtils.formatRelativeTime(i18n, rss_item.pubdate)
                fontSize: "small"
                //            horizontalAlignment: Text.AlignRight
                width: parent.width
            }

            Label
            {
                id: label_title
                text: rss_item.title
                //            anchors.horizontalCenter: parent.horizontalCenter
                width: parent.width
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
                fontSize: "medium"
                textFormat: Text.PlainText
                //            horizontalAlignment: Text.AlignRight
                font.weight: Font.DemiBold
            }

            Label
            {
                id: label_feedname
                text: rss_item.feed_name
                fontSize: "small"
                width: parent.width
                wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            }
        }
    }

    MouseArea
    {
        anchors.fill: parent

        onClicked:
        {
            mainView.toRssPage(rss_model, model_index) ;
        }
    }
}

//Column {
//    id: delegate_item
//    width: units.gu(34)
////    height: units.gu(16)
////    anchors.fill: parent
//    property variant rss_item
//    property variant imageArray: []
//    property variant rss_model
//    property int model_index

//    Row
//    {
//        id: row
//        spacing: units.gu(1)
////        anchors.fill: parent

//        Label
//        {
//            id: label_title
//            text: rss_item.title
////            anchors.horizontalCenter: parent.horizontalCenter
//            width: units.gu(14)
//            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
////            color: "black"
//            fontSize: "medium"
//            textFormat: Text.PlainText
//            horizontalAlignment: Text.AlignRight


//        }

//        UbuntuShape
//        {
//            id: u_pic
//            width: units.gu(18)
//            height: pic.height
//            image: Image {
//                id: pic
//                width: units.gu(18)
//                fillMode: Image.PreserveAspectFit
//                source: imageArray[0]
////                {
////                    if (imageArray == 0)
////                    {
////                        label_title.width = units.gu(30)
////                        label_title.fontSize = "large"
////                        return ""
////                    }
////                    else if (imageArray.length > 0)
////                        return imageArray[0]
////                }
//            }
//        }


//    }

//    Label
//    {
//        id: label_time
//        text: DateUtils.formatRelativeTime(i18n, rss_item.pubdate)
////        color: "black"
//        fontSize: "medium"
//        horizontalAlignment: Text.AlignRight
//        width: parent.width
//    }
//}


//Column {
//    id: delegate_item
//    width: units.gu(34)
////    height: units.gu(30)
////    anchors.fill: parent
//    property variant rss_item
//    property variant imageArray: []
//    property variant rss_model
//    property int model_index

//    Row
//    {
//        id: row
//        spacing: units.gu(1)
////        anchors.fill: parent

//        Label
//        {
//            id: label_title
//            text: rss_item.title
////            anchors.horizontalCenter: parent.horizontalCenter
//            width: units.gu(14)
//            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
////            color: "black"
//            fontSize: "medium"
//            textFormat: Text.PlainText

//            MouseArea
//            {
//                x:0; y:0
//                width: delegate_item.width
//                height: delegate_item.height

//                onClicked:
//                {
//                    mainView.toRssPage(rss_model, model_index) ;
//                }
//            }
//        }

//        Column
//        {
//            spacing: units.gu(1)

//            UbuntuShape
//            {
//                id: u_pic0
//                width: units.gu(15)
//                height: pic0.height
//                image: Image {
//                    id: pic0
//                    width: units.gu(15)
//                    fillMode: Image.PreserveAspectFit
//                    source: imageArray[0]
//                }
//            }

//            UbuntuShape
//            {
//                id: u_pic1
//                width: units.gu(15)
//                height: pic1.height
//                image: Image {
//                    id: pic1
//                    width: units.gu(15)
//                    fillMode: Image.PreserveAspectFit
//                    source: imageArray[1]
//                }
//            }
//        }

//    }

//    Label
//    {
//        id: label_time
//        text: DateUtils.formatRelativeTime(i18n, rss_item.pubdate)
////        color: "black"
//        fontSize: "medium"
//    }
//}
